スプレッドシートの操作について

スプレッドシートの操作を行いたいです。
oauthの認証があるかと思います。
で操作しようとしているのですが、

このアプリはブロックされます

このアプリが、Google アカウントのプライベートな情報にアクセスしようとしました。アカウントを安全に保つため、Google によりこのアクセスはブロックされました。

と出力されます
原因わかる方いないでしょうか。

@shioguchi さんこんにちは!
ご質問の投稿から48時間経過しましたが最初の回答がまだ来ていないようです。
2つほどご提案させてください。
1.回答をするために十分な情報は記載しましたか?
問題の場合は再現方法の手順や状況についての情報、エラーメッセージがある場合はエラーメッセージ全体のテキスト情報があると回答しやすくなります。
何かの操作を実現する方法を聞きたい時は、なぜその操作が必要なのか目的や背景まで含めて説明いただくと、
たとえばその操作とは違ったより目的に沿った方法での解決方法が教えてもらえるかもしれません。
問題の場合も操作を聞く場合も、より具体的な情報やスクリーンショットがあった方が回答しやすくなります。
また、コミュニティである性質上、必ず回答があるわけではないことをご理解いただければと思います。
チケットによるサポートをご希望の場合はライセンスの購入をご検討下さい。
2.すでにフォーラムやドキュメントは検索されましたか?
特にフォーラムの日本カテゴリーやドキュメントポータルで検索されるのをおすすめいたします。
フォーラム右上の虫眼鏡のアイコンをクリックいただき、optionsをクリック、
その後Categorizedで日本を選択いただくことで日本カテゴリー内の投稿を検索いただけます。
ドキュメントポータルのリンクはこちらです。
https://docs.uipath.com/lang-ja/
下記サイトもよろしければご確認ください。
ナレッジベース ナレッジベース | UiPath
デベロッパーブログ デベロッパーブログ RPAの開発情報 | UiPath
答えが検索後見つかった場合、そちらの情報をぜひご記載ください。他のコミュニティメンバーの助けになります。
フォーラムをご利用いただきありがとうございます。
Forum_Staff より

1 Like

こんにちは!
UiPathパッケージバージョン問題かもしれないです。

[パッケージ管理]に入って[UiPath.GSuite.Activities]のバージョンを最新ではなく古いバージョンをしたら私は一応解決出来ました。

こんにちは
上記に書いた通りにバージョンの問題たと思いなしたが、UiPathバージョンアップすると
「GSuiteアクティベーションスコープ」の設定がなくなったのが原因かなと思います。
なのでバージョンを最新版にして、「スコープを設定」に現在使っているのにチェックが外している場合、チェックを入れて下さい。
※私も同じエラーが発生しましたが、SpreadSheetを使っているのに「・・・/spreadsheets」にチェックが入ってなかったのが原因でした。